//feedback AJAX
function showfeedback(){    
        html = $.ajax({  
            url: "/feedback/index.php?LANG="+language,  
            cache: false,  
            success: function(html){ 
                //console.warn('Gooood'); 
                //console.warn(html);
                $(".modalinclude").html(html);  
                //console.warn($(".modalinclude").html());
                $.colorbox({inline:true, opacity: 0.7, href: ".modalinclude"});
                //console.warn('huray');
                //$(".modalinclude").html('<div></div>');               
            }  
        });
        
};

// Печать сносок
(function() {
    var beforePrint = function() {
		//Проверить наличие тултипов на странице
		if($(".tooltip").length){
		//Если есть то создать #snoski
		var i = 1;
		$('#content').append('<div id="snoski"></dv>');
		$('.tooltip').each(function(){
			$('<sup class="tprint">'+i+'</sup>').insertAfter(this);
			c = $(this).attr('alt');
			$('#snoski').append('<p><strong>'+i+' : </strong>'+c+'</p>');
			i++;
		});
		}		
		//each побавить sup после каждого тултипа и альт скопировать в сноски
       console.log('Functionality to run before printing.');
    };
    var afterPrint = function() {
        //console.log('Functionality to run after printing');
    };
    if (window.matchMedia) {
        var mediaQueryList = window.matchMedia('print');
        mediaQueryList.addListener(function(mql) {
            if (mql.matches) {
                beforePrint();
            } else {
                //afterPrint();
            }
        });
    }

    window.onbeforeprint = beforePrint;
    window.onafterprint = afterPrint;
}());

$(document).ready(function () {
//feedback event
$('.rm-feedback').click(function(event){
event.preventDefault();
showfeedback();
});
$('.investors').click(function(event){
event.preventDefault();
//window.mainpage = 'MAIN';
showfeedback();
});


//alert('doc ready');
//расставляем ссылки на xls под графики
$('.zoomup').each(function(){
 var $xlslink = $(this).find('img').attr('src');
 $xlslink = '/xls/' + $xlslink.substr(5,$xlslink.indexOf('.')-5) + '.xlsx';
 $(this).find('.load').attr('href', $xlslink);
});

//извращение над colorbox
$("a.zoom").colorbox({opacity: 0.7, href: function(){
var url = $(this).attr('href');
return url;
}, title: function(){
  var tt = $(this).attr('title');
  return tt;
}});
$("div.tablezoom").colorbox({inline:true, opacity: 0.7, width: '100%', maxWidth: 1024, href: function(){
var url = $(this).prev('table');
return url;
}, title: function(){
  var tt = $(this).prevAll('h4').html();
  return tt;
}});
$("#feedback-icon").colorbox({inline:true, opacity: 0.7,  href: "#sendmail"});
$("#send_report").colorbox({inline:true, opacity: 0.7, href: "#email_report_form"});

    $('body').on("click", "#colorbox #send-href", function () {
        $('#send-href-ajax').animate({height: "hide"}, 300);
        $.post(send_href_ajax, {
            "send-href-captcha": "Y",
            "AJAX": "Y",
            "NAME": $("#send-href-name").val(),
            "EMAIL": $("#send-href-email").val(),
            "EMAILTO": $("#send-href-emailto").val(),
            "TEXT": $("#send-href-text").val(),
            "CAPTCHA_SID": $("#captcha-image-code").val(),
            "CAPTCHA_WORLD": $("#send-href-captcha").val(),
            "HREF": window.location.href,
            "TITLE": document.title,
            "LANG": send_href_lang,
            "SITE": send_href_site
        }, function (data) {
            $("#send-href-ajax").html(data);
            $('#send-href-ajax').animate({height: "show"}, 500);
        });
        return false;
    });

    $("#reload-captcha").on("click", function () {
        $.get("/artools/captcha_code.php", function (data) {
            $("#captcha-image-code").val(data);
            $("#captcha-image-image").attr("src", "/bitrix/tools/captcha.php?captcha_sid=" + data);
        });
    });


    //говнотултип
    $('.tooltip').tooltipster({
        maxWidth: 300
    });

    $('#top-menu td').on("click", function () {
        $(this).addClass('set').siblings().removeClass('set');
        $m = $(this).index('td');
        $('.pod-menu').addClass('hidefuckingIE');
        $('.m' + $m).removeClass('hidefuckingIE').addClass('fuckingIE');
    });

    // slider
    $('#slider_box .slider').bxSlider({
     tickerHover: true,
     autoHover: true,
     auto: true,
     pause: 5500,
     autoStart: true
    });


    //
    if($('body').attr('siteid') == 's1'){
        window.language = 'ru';
        $downtablexls = 'Скачать таблицу в формате xls';
        $downchartxls = 'Скачать график в формате xls';
        $zoomtable = 'Увеличить таблицу';
        $zoomchart = 'Увеличить';
    } else {
        window.language = 'en';
        $downtablexls = 'Download table as xls';
        $downchartxls = 'Download chart as xls';
        $zoomtable = 'Zoom table';
        $zoomchart = 'Zoom';
    }
    $('div.tablezoom').html($zoomtable);
    $('a.zoom').html($zoomchart);
    $('a.load').html($downchartxls);
    $('a.downxls').html($downtablexls);

    //Tools
    $('.tools > li').hover(function(){
        $(this).children('ul').show();
        //console.log('in');
    }, function(){
        $(this).children('ul').hide();
        //console.log('out');
    });

    /*
     $('#slideshow, #videoslides').slides({
     effect: 'fade',
     crossfade: true,
     play: 5000,
     pause: 1500,
     pagination: true,
     generatePagination: true,
     hoverPause: true
     });
     // M���
     $('#menu > li > a').click(function(e){
     if($(this).parent().hasClass('op')){
     console.log('op!');
     } else {
     $('#menu > li').removeClass('op');
     $(this).parent().addClass('op');
     }
     e.preventDefault();
     });

     // ������
     $(".up").hover(function(){
     tip = $(this).find('span');
     tip.show();
     }, function() {
     tip.hide();
     }).mousemove(function(e) {
     var pos = $('#content-box').position();
     var mousex = e.pageX - pos.left + 20;
     var mousey = e.pageY - pos.top + 20;
     tip.css({  top: mousey, left: mousex });
     });
     //Share
     $('#share').hover(function(){
     $(this).children('ul').show();
     }, function(){
     $(this).children('ul').hide();
     });
     //������� feedback �� ����
     $('.rm-mail').click(function(e){
     e.preventDefault();
     // ��������
     $(this).siblings('form').show();
     });
     // ������� �������
     $('.modal-close').click(function(){
     $(this).parent().hide();
     });
     // ������� �������
     $('body').on('click', '#anmodbox .modal-close', function(){
     $(this).parent().parent().hide().empty();
     });


     // ������ ���� ��������
     $(window).resize(function() {
     //anmodSize();
     });
     // social mail modal
     function anmodSize(){ // ������� � ������
     console.log('anmodSize function start');
     var mh = $(document).height();
     var mw = $('body').width();
     var amw = $('.anmodin').width(); // ������ �������
     //alert(amw);
     var amh = $('.anmodin').height();
     var wh = $(window).height(); // ������ ������
     if($('.anmodin').length == 0){console.log('������ ������� �� ������')} else {console.log('������ ������� ������')}
     $('.anmodin').css({'top': (wh-amh)/2, 'left': (mw-amw)/2});
     $('body').css({'overflow':'hidden'});
     console.log('anmodSize function end');
     }
     // social mail modal
     $('.sh-twit').click(function(){
     //console.log('click');
     // �������� � ���� ������ ��� ��� / ��������� , ���� ��� ��� �� ���, ���� ���� - ����������
     if($('#anmodbox').length == 0) {$('body').append('<div id="anmodbox"></div>')} else {$('#anmodbox').show()}
     $.ajax({
     url: "anmodcontent.html",
     cache: true,
     success: function(html){ $("#anmodbox").append(html); anmodSize();}
     }).done(function(msg){ console.log( "Data Saved: " + msg );});
     });
     */
});